vfGlobalSetting = {}

function vfGlobalSetting:clickButtonCallback(args)
	local color = "";
	local txt = "";
	if args.lineButton.ownTable.side == 1 then
		if args.lineButton.ownTable.whatClick == "vfOnOff_" then			
			VehicleFruitHud.values.isOn = not VehicleFruitHud.values.isOn;			
			if not VehicleFruitHud.values.isOn then 
				vfSetGet:resetFillLevelDisplay(false);
				VehicleFruitHud.clickAreas = {master={}, slave={}};
			else
				vfSetGet:resetFillLevelDisplay(true);
			end;
			g_currentMission.hlGui.setGet:setUnSave();			
			return;				
		elseif args.lineButton.ownTable.whatClick == "vfViewHorseHud_" then
			VehicleFruitHud.values.viewHorseHud = not VehicleFruitHud.values.viewHorseHud;
			vfSetGet:generateDisplay();
			g_currentMission.hlGui.setGet:setUnSave();
			return;	
		elseif args.lineButton.ownTable.whatClick == "vfTxtBold_" then
			VehicleFruitHud.values.txtBold = not VehicleFruitHud.values.txtBold;
			g_currentMission.hlGui.setGet:setUnSave();
			return;	
		elseif args.lineButton.ownTable.whatClick == "vfViewCapacityTotal_" then
			VehicleFruitHud.values.viewCapacityTotal = not VehicleFruitHud.values.viewCapacityTotal;
			g_currentMission.hlGui.setGet:setUnSave();
			return;	
		elseif args.lineButton.ownTable.whatClick == "vfViewFillName_" then
			VehicleFruitHud.values.viewFillName = not VehicleFruitHud.values.viewFillName;
			g_currentMission.hlGui.setGet:setUnSave();
			return;
		elseif args.lineButton.ownTable.whatClick == "vfViewBestPrice_" then
			if not VehicleFruitHud.values.foundMoh or VehicleFruitHud.moh == nil then return;end;
			VehicleFruitHud.values.viewBestPrice.isOn = not VehicleFruitHud.values.viewBestPrice.isOn;
			g_currentMission.hlGui.setGet:setUnSave();
			return;
		end;
	end;
end;

function vfGlobalSetting:txtButtonCallback(lineButton)
	local txtButton = "";
	if lineButton.ownTable.side == 1 then
		if lineButton.ownTable.whatClick == "vfOnOff_" then
			if VehicleFruitHud.values.isOn then txtButton = "On";lineButton.clickButtonColor = "green";else txtButton = "Off";lineButton.clickButtonColor = "red";end;
		elseif lineButton.ownTable.whatClick == "vfViewHorseHud_" then
			if VehicleFruitHud.values.viewHorseHud then txtButton = "On";lineButton.clickButtonColor = "green";else txtButton = "Off";lineButton.clickButtonColor = "red";end;
		elseif lineButton.ownTable.whatClick == "vfTxtBold_" then
			if VehicleFruitHud.values.txtBold then txtButton = "On";lineButton.clickButtonColor = "green";else txtButton = "Off";lineButton.clickButtonColor = "red";end;
		elseif lineButton.ownTable.whatClick == "vfViewCapacityTotal_" then
			if VehicleFruitHud.values.viewCapacityTotal then txtButton = "On";lineButton.clickButtonColor = "green";else txtButton = "Off";lineButton.clickButtonColor = "red";end;
		elseif lineButton.ownTable.whatClick == "vfViewFillName_" then
			if VehicleFruitHud.values.viewFillName then txtButton = "On";lineButton.clickButtonColor = "green";else txtButton = "Off";lineButton.clickButtonColor = "red";end;		
		elseif lineButton.ownTable.whatClick == "vfViewBestPrice_" then
			if not VehicleFruitHud.values.foundMoh or VehicleFruitHud.moh == nil then 
				txtButton = "MultiOverlay Mod not Found"
				lineButton.clickButtonColor = "red";
			else
				if VehicleFruitHud.values.viewBestPrice.isOn then txtButton = "On";lineButton.clickButtonColor = "green";else txtButton = "Off";lineButton.clickButtonColor = "red";end;
			end;		
		elseif lineButton.ownTable.whatClick == "vfSelectTxtColor_" then
			txtButton = tostring(VehicleFruitHud.values.txtColor);
		end;
	end;
	return txtButton;
end;

function vfGlobalSetting:pullDownCallback(lineButton)
	local pullDownTable = {}
	if lineButton.ownTable.side  == 1 then
		if lineButton.ownTable.whatClick == "vfSelectTxtColor_" then
			for key, colorName in pairs (VehicleFruitHud.values.acceptTxtColor) do
				pullDownTable[#pullDownTable+1] = {
					txt = tostring(colorName);
					isSelect = VehicleFruitHud.values.txtColor == colorName;
					callback = g_currentMission.hlGui.callbacks.vf["clickPullDownLine"];
					ownTable = {pageName="GlobalSetting", whatClick="vfSelectTxtColor_",colorName=tostring(colorName)};
				};
			end;
			function comp(w1,w2)			
				if w1.txt < w2.txt then
					return true;
				end;			
			end;	
			table.sort(pullDownTable, comp);
		end;
	end;
	return pullDownTable;
end;

function vfGlobalSetting:clickPullDownLineCallback(args)
	if args.ownTable.whatClick == "vfSelectTxtColor_" then
		VehicleFruitHud.values.txtColor = args.ownTable.colorName;
		vfSetGet:resetFillLevelDisplay(true);
		g_currentMission.hlGui.setGet:setUnSave();
	end;
end;

function vfGlobalSetting:generateSide(side)
	local buttons = {};
	local color = ""
	local txtButton = "";
	if side == 1 then
		--line--
		buttons = {
			[1] = {
				txtButton = "! VehicleFruitHud Update *only on: http://modhoster.de ! (".. tostring(VehicleFruitHud.metadata.version).. ")";
				txtBoldButton = true;				
				txtButtonColor = "darkBlue";
				groundButtonColor = "whiteInactive";
				txtInfo = "Alle anderen Seiten werden nicht unterstützt (All other sites are not supported)";				
			};			
		};	
		g_currentMission.hlGui.setGet:generateModSideLine({modName="VehicleFruitHud", page=VehicleFruitHud.values.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons});
		buttons = {
			[1] = {
				txtOverButton = "VehicleFruitHud";				
				txtButton = "On";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.vf["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.vf["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="vfOnOff_",side=side};
				txtInfo = "Activiere oder Deaktiviere den VehicleFruitHud Mod";					
			};
			[2] = {
				txtOverButton = "View Horse Hud";				
				txtButton = "On";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.vf["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.vf["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="vfViewHorseHud_",side=side};
				txtInfo = "Activiere oder Deaktiviere das Pferde Info Display";				
			};
			[3] = {
				visible = false;				
			};			
		};
		g_currentMission.hlGui.setGet:generateModSideLine({modName="VehicleFruitHud", page=VehicleFruitHud.values.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons});
		--line--
		--line--
		buttons = {
			[1] = {
				txtOverButton = "Text Bold";				
				txtButton = "On";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.vf["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.vf["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="vfTxtBold_",side=side};
				txtInfo = "Schrift Fett anzeigen";				
			};
			[2] = {
				txtOverButton = "View Capacity Total";				
				txtButton = "On";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.vf["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.vf["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="vfViewCapacityTotal_",side=side};
				txtInfo = "Zeigt die Maximale Kapazität an";				
			};
			[3] = {
				txtOverButton = "View Fruit/FillName";				
				txtButton = "On";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.vf["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.vf["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="vfViewFillName_",side=side};
				txtInfo = "Zeigt den Fruchtnamen an";				
			};
			[4] = {
				txtOverButton = "View BestPrice Total";				
				txtButton = "On";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.vf["txtButton"];
				clickButton = "buttonOnOff";
				clickButtonColor = "green";
				clickButtonCallback = g_currentMission.hlGui.callbacks.vf["clickButton"];
				ownTable = {pageName="GlobalSetting", whatClick="vfViewBestPrice_",side=side};
				txtInfo = "Zeigt den Verkaufspreis an(bei der besten Station) *needs MultiOverlayV4 Hud*";				
			};
		};
		g_currentMission.hlGui.setGet:generateModSideLine({modName="VehicleFruitHud", page=VehicleFruitHud.values.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons});
		--line--
		buttons = {
			[1] = {
				txtOverButton = "Text Color";				
				txtButton = "";
				txtBoldButton = true;
				txtButtonCallback = g_currentMission.hlGui.callbacks.vf["txtButton"];
				clickButton = "buttonDown";
				pullDownButton = true;
				pullDownCallback = g_currentMission.hlGui.callbacks.vf["pullDownButton"];
				ownTable = {pageName="GlobalSetting", whatClick="vfSelectTxtColor_",side=side};
				txtInfo = "Ändert die Schrift Farbe.";				
			};			
			--[2] = {
			--	visible = false;
			--	width = 60;
			--};			
		};
		g_currentMission.hlGui.setGet:generateModSideLine({modName="VehicleFruitHud", page=VehicleFruitHud.values.hlGui.page["GlobalSetting"], side=side, lineButtons=buttons});
		--line--
		
		--line--
		--line--
		
		--line--
		--line--
		
		--line--		
	end;
end;
























